/* Wrapper that disables warnings from Fortify function definitions.

   Copyright (C) 2020 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* This glibc header override disables the warning
   "warning: memset used with constant zero length parameter; this could be due to transposed parameters"
   seen with clang 9.  */

#ifdef __clang__
# include <sys/cdefs.h>
# undef __warndecl
# define __warndecl(name, msg) extern void name (void)
# undef __warnattr
# define __warnattr(msg)
#endif

#include_next <bits/string_fortified.h>

#ifdef __clang__
# undef __warndecl
# define __warndecl(name, msg) \
  extern void name (void) __attribute__((__diagnose_if__ (1, msg, "warning")))
# undef __warnattr
# define __warnattr(msg) __attribute__((__diagnose_if__ (1, msg, "warning")))
#endif
